Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.parameters
Enum RangeParameter.Scale

    java.lang.Object
      java.lang.Enum<RangeParameter.Scale>
          de.jstacs.parameters.RangeParameter.Scale

All Implemented Interfaces:
  Serializable, Comparable<RangeParameter.Scale>

Enclosing class:
  RangeParameter

    public static enum RangeParameter.Scale

extends Enum<RangeParameter.Scale>

This `enum` defines possible scales, if `RangeParameter.RangeType` is `RangeParameter.RangeType.RANGE`.

Author:
  Jan Grau

Enum Constant Summary
`EXPSCALE` The range is sampled in an exponential scale.
`INVERSELOGSCALE` The range is sampled in an inverse (finer around the last value) logarithmic scale.
`INVERSELOGSCALE10` The range is sampled in an inverse (finer around the last value) logarithmic scale (radix=10).
`INVERSELOGSCALE2` The range is sampled in an inverse (finer around the last value) logarithmic scale (radix=2).
`LINSCALE` The range is sampled in a linear scale.
`LOGSCALE` The range is sampled in a logarithmic scale.
`LOGSCALE10` The range is sampled in a logarithmic scale (radix=10).
`LOGSCALE2` The range is sampled in a logarithmic scale (radix=10).

Method Summary
`static RangeParameter.Scale` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RangeParameter.Scale[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOGSCALE

    public static final RangeParameter.Scale LOGSCALE

  The range is sampled in a logarithmic scale.

### INVERSELOGSCALE

    public static final RangeParameter.Scale INVERSELOGSCALE

  The range is sampled in an inverse (finer around the last value) logarithmic scale.

### LINSCALE

    public static final RangeParameter.Scale LINSCALE

  The range is sampled in a linear scale.

### EXPSCALE

    public static final RangeParameter.Scale EXPSCALE

  The range is sampled in an exponential scale.

### LOGSCALE2

    public static final RangeParameter.Scale LOGSCALE2

  The range is sampled in a logarithmic scale (radix=10).

### INVERSELOGSCALE2

    public static final RangeParameter.Scale INVERSELOGSCALE2

  The range is sampled in an inverse (finer around the last value) logarithmic scale (radix=2).

### LOGSCALE10

    public static final RangeParameter.Scale LOGSCALE10

  The range is sampled in a logarithmic scale (radix=10).

### INVERSELOGSCALE10

    public static final RangeParameter.Scale INVERSELOGSCALE10

  The range is sampled in an inverse (finer around the last value) logarithmic scale (radix=10).

Method Detail

### values

    public static final RangeParameter.Scale[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RangeParameter.Scale c : RangeParameter.Scale.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RangeParameter.Scale valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD